summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/valgrind/configure.patch22
-rw-r--r--development/valgrind/valgrind.SlackBuild39
-rw-r--r--development/valgrind/valgrind.info6
3 files changed, 22 insertions, 45 deletions
diff --git a/development/valgrind/configure.patch b/development/valgrind/configure.patch
deleted file mode 100644
index 0890cabed9..0000000000
--- a/development/valgrind/configure.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-diff --git a/configure b/configure
-index 78ddf3e..a730c3d 100755
---- a/configure
-+++ b/configure
-@@ -5553,7 +5553,7 @@ $as_echo_n "checking for the kernel version... " >&6; }
- kernel=`uname -r`
-
- case "${kernel}" in
-- 2.6.*|3.*)
-+ 2.6.*|3.*|4.*)
- { $as_echo "$as_me:${as_lineno-$LINENO}: result: 2.6.x/3.x family (${kernel})" >&5
- $as_echo "2.6.x/3.x family (${kernel})" >&6; }
-
-@@ -6832,7 +6832,7 @@ $as_echo "#define GLIBC_2_19 1" >>confdefs.h
- DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
- DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
- ;;
-- 2.20)
-+ 2.2?)
- { $as_echo "$as_me:${as_lineno-$LINENO}: result: 2.20 family" >&5
- $as_echo "2.20 family" >&6; }
-
diff --git a/development/valgrind/valgrind.SlackBuild b/development/valgrind/valgrind.SlackBuild
index 069252eeb1..63dbb27682 100644
--- a/development/valgrind/valgrind.SlackBuild
+++ b/development/valgrind/valgrind.SlackBuild
@@ -6,13 +6,13 @@
# Updated by Willy Sudiarto Raharjo <willysr@slackware-id.org>
PRGNAM=valgrind
-VERSION=${VERSION:-3.10.1}
+VERSION=${VERSION:-3.11.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -23,17 +23,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- # The valgrind build system already passes -fpic
- # and forcing -fPIC results in a build failure.
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX="64"
+ # The valgrind build system already passes -fpic
+ # and forcing -fPIC results in a build failure.
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -47,22 +47,21 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
-\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
--exec chmod 755 {} \; -o \
-\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
--exec chmod 644 {} \;
-
-# For compatibility with -current; thanks to Gethyn ThomasQuail for the report.
-patch -p1 < $CWD/configure.patch || exit 1
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib$LIBDIRSUFFIX \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -70,7 +69,7 @@ make install DESTDIR=$PKG || exit 1
# Do NOT strip the shared objects, as recommended by the developers.
find $PKG -print0 | xargs -0 file | grep -e "executable" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/development/valgrind/valgrind.info b/development/valgrind/valgrind.info
index 43122fff16..15b9caade2 100644
--- a/development/valgrind/valgrind.info
+++ b/development/valgrind/valgrind.info
@@ -1,8 +1,8 @@
PRGNAM="valgrind"
-VERSION="3.10.1"
+VERSION="3.11.0"
HOMEPAGE="http://www.valgrind.org/"
-DOWNLOAD="http://www.valgrind.org/downloads/valgrind-3.10.1.tar.bz2"
-MD5SUM="60ddae962bc79e7c95cfc4667245707f"
+DOWNLOAD="http://www.valgrind.org/downloads/valgrind-3.11.0.tar.bz2"
+MD5SUM="4ea62074da73ae82e0162d6550d3f129"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""